package com.ozs.service.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;

import java.io.Serializable;
import java.util.Date;

import com.ozs.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.models.auth.In;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * <p>
 * 报警信息表
 * </p>
 *
 * @author ozs
 * @since 2023-02-22
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
@ApiModel("报警信息表")
public class MsgAlarm extends BaseEntity implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 报警唯一标识
     */
    private String alarmId;

    /**
     * 相机编码
     */
    private String cameraCode;

    /**
     * 报警时间
     */
    private Date alarmTime;

    /**
     * 报警里程位置
     */
    private String alarmMile;

    /**
     * 报警内容
     */
    private String content;

    /**
     * 报警置信度（百分比）
     */
    private Integer alarmConfidence;

    /**
     * 报警行别(1上行2下行)
     */
    private Integer lineDir;

    /**
     * 报警病害类型（目前只有1泥石流，后续可扩展使用）
     */
    private Integer alarmType;

    /**
     * 报警病害属性（可以给出泥石流的框定范围）
     */
    private String alarmAttr;

    /**
     * 报警图片地址
     */
    private String imageUrl;

    /**
     * 解除人
     */
    private String releasedBy;

    /**
     * 解除时间
     */
    private Date releasedTime;

    /**
     * 报警是否解除 1已解除2未解除
     */
    private Integer isLock;

    /**
     * 创建人
     */
    private String createBy;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 修改人
     */
    private String updateBy;

    /**
     * 修改时间
     */
    private Date updateTime;

    /**
     * 备注
     */
    private String remark;
}
